Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 28 Nov 2014, 16:30
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
Puppeee 4.3X
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 3 of 176 [2633 Posts]   Goto page: Previous 1, 2, 3, 4, 5, ..., 174, 175, 176 Next
Author Message
ad4mm

Joined: 28 Oct 2009
Posts: 6

PostPosted: Thu 29 Oct 2009, 03:42    Post subject:  

sorry for double post
Back to top
View user's profile Send private message 
jakfish

Joined: 18 Jul 2008
Posts: 757

PostPosted: Thu 29 Oct 2009, 07:47    Post subject:  

Installed both flyn and sym pets, but when clicking on flyn in Menu, the program comes up and with this error:

"Can't access shared memory area. SHMConfig disabled?"

(eee 900)

On the bright side, I very much like your hotkeys with the brightness and volume numeric levels. Your network connect app found and connected me to my unsecured wifi right off.

I'll reserve a fresh sd card for this and continue to test anything you want, but I'm loathe to make a complete switch to this vanilla 4.31 since making my 4.31 puppy save file has taken a lot of my time and can't really be used with this.

Do you plan to release a customized 4.31 built for your 700 (with your groovy bluetooth apps, especially, and your other tricks)?

I would make the switch then and abandon all my previous puppy save files (I have bluetooth working, everything; what I lack is the speed of your kernel and your mods).

Well done,
Jake
Back to top
View user's profile Send private message 
jemimah


Joined: 26 Aug 2009
Posts: 4309
Location: Tampa, FL

PostPosted: Thu 29 Oct 2009, 08:40    Post subject:  

jakfish, you didn't need to install any pets for flysynclient, I installed it in the sfs, it should be on the menu (I forget which one right now, Desktop or Setup I think). The pets posted in "Addtional software" are an old version of synclient so you probably want to start over with a clean save.

I think, you can just boot up in the old version, uninstall the acpi pets, and then your save file should be ok for puppeee. (You may also have to install a pet file for the new acpi, which I need to update and post once I get some more feedback.) You can make a copy, uninstall bluetooth, see if my pets work better, and if they don't, go back to the old one. That's why puppy rocks!

This version has all the tricks I know of, for both atom and celeron. Although it seems the celeron overclocking is crashing for some people so I'll probably disable it by default and you'll have to turn it on if you want it. I don't think bluetooth will be standard since a lot of Eees don't have it and it takes up some space.
Back to top
View user's profile Send private message Visit poster's website 
jemimah


Joined: 26 Aug 2009
Posts: 4309
Location: Tampa, FL

PostPosted: Thu 29 Oct 2009, 08:52    Post subject:  

magerlab, all the cool window manager stuff I'm working on will be released soon. This is just a release of the kernel and a couple utilities for people like jakfish who are heavily invested in 4.31. Fluppy and Flupeee with be the complete rebuild you and I are both dreaming of. Smile

Is there a better ath5k driver somewhere? Point me to it, and I'll install it.

ad4mm, I don't know a whole lot about wpa. Can you change your key to test it? I would think wpa_gui would have fewer problems with wpa than the Network Wizard but I'm not sure. Which network card to you have? I haven't done any testing for the RAlink cards so people will have to tell me if that driver works.

If you use the non-elantech kernel, your touchpad is detected as a logitech wheel-mouse and will work, but you can't change any settings. If you use the elantech kernel, you will have a proper touchpad, and can use the flsynclient utility (located on either the Desktop or Utility menus, I forget which) to adjust it's function, turn on drag-lock and that sort of thing.
Back to top
View user's profile Send private message Visit poster's website 
jakfish

Joined: 18 Jul 2008
Posts: 757

PostPosted: Thu 29 Oct 2009, 09:30    Post subject:  

Okay, I'm still getting the flyn erroe listed aboved even without the installed pets.

I'm taking your advice and playing with my current puppy save. A couple of caveats that I hope you can help me with. Using eee 900/sd card boot (w/ puppy save on card itself):

1) when booting, I get a loo-ong count down on usb section: "Waiting for modules to complete loading 1-2-3-4-5-etc

2) then at the end of the boot, I get this error, but it doesn't prevent puppy loading:

"FATAL ERROR inserting usbhid (/lib/modules/2.6.30.5/initrd/kernel/drivers/hid/usbhid/usbhid.ko): Invalid module format"

Any ideas? With the slow down on the usb section of the boot, it takes all the fun away from the fast kernel.

Jake
Back to top
View user's profile Send private message 
jemimah


Joined: 26 Aug 2009
Posts: 4309
Location: Tampa, FL

PostPosted: Thu 29 Oct 2009, 10:01    Post subject:  

just to clarify, do you get that same error with flsynclient if you boot with no save file?

1. This is an easy fix. Open /etc/rc.d/rc.sysinit in Geany. Go to line 377. It should say 'sleep 1'. Change it to '#sleep 1' and save.

2. The usbhid module is built in to this kernel, so you get that error message when the xwin script tries to modprobe it. It's nothing to worry about.
Back to top
View user's profile Send private message Visit poster's website 
jemimah


Joined: 26 Aug 2009
Posts: 4309
Location: Tampa, FL

PostPosted: Thu 29 Oct 2009, 10:36    Post subject:  

I've disabled the celeron overclocking code in the power management scripts. I will upload the new version tonight. If you have a celeron, and know that overclocking works on your machine, you can turn it back on by editing /etc/acpi/powersave.sh and /etc/acpi/performance.sh.
Back to top
View user's profile Send private message Visit poster's website 
jakfish

Joined: 18 Jul 2008
Posts: 757

PostPosted: Thu 29 Oct 2009, 11:08    Post subject:  

Many thanks for the tips--they work.

flsynclient presents that same error even with fresh install, no pupsave file on the eee 900.

Jake
Back to top
View user's profile Send private message 
jemimah


Joined: 26 Aug 2009
Posts: 4309
Location: Tampa, FL

PostPosted: Thu 29 Oct 2009, 12:29    Post subject:  

jakfish, can you post your /var/log/Xorg.0.log so I can see what's wrong with the synclient?
Back to top
View user's profile Send private message Visit poster's website 
jemimah


Joined: 26 Aug 2009
Posts: 4309
Location: Tampa, FL

PostPosted: Thu 29 Oct 2009, 12:33    Post subject:  

Also, it would be great if some people would test my new application webcam-snapshot on the Graphics menu. If it's really dark, or spits out garbage, try setting the stablization delay to "long."
Back to top
View user's profile Send private message Visit poster's website 
jakfish

Joined: 18 Jul 2008
Posts: 757

PostPosted: Thu 29 Oct 2009, 12:39    Post subject:  

Attached is the log.

I've got a wifi problem with eee 900, fresh frugal install, pupsave file on hard drive.

If wifi is on from boot, then fine, it's found in puppy.

But if it's off, then enabled by hotkeys or by direct clicking of wlan.sh, the blue led comes on, but no blinky, and your network gui says:

"Could not get status wpa-suplicant"

But if I restart X, then it connects.

Any ideas?

Jake
Xorg.0.zip
Description 
zip

 Download 
Filename  Xorg.0.zip 
Filesize  6.19 KB 
Downloaded  807 Time(s) 
Back to top
View user's profile Send private message 
jemimah


Joined: 26 Aug 2009
Posts: 4309
Location: Tampa, FL

PostPosted: Thu 29 Oct 2009, 13:06    Post subject:  

Looks like the synaptic driver is not loading. Can you send me /etc/X11/xorg.conf and /proc/bus/input/devices ?

I am able to reproduce the wifi problem on my 701, but not on my 1005HA. I guess I will have to make sure the interface is not disabled before loading wpa_supplicant.
Back to top
View user's profile Send private message Visit poster's website 
scabz


Joined: 30 Apr 2009
Posts: 308
Location: Tallahassee FL US

PostPosted: Thu 29 Oct 2009, 13:09    Post subject:  

jakfish wrote:
Attached is the log.

I've got a wifi problem with eee 900, fresh frugal install, pupsave file on hard drive.

If wifi is on from boot, then fine, it's found in puppy.

But if it's off, then enabled by hotkeys or by direct clicking of wlan.sh, the blue led comes on, but no blinky, and your network gui says:

"Could not get status wpa-suplicant"

But if I restart X, then it connects.

Any ideas?

Jake


Try going into the network wizard and unloading the module and reloading it, even though it is probably faster to restart x.
Back to top
View user's profile Send private message AIM Address Yahoo Messenger 
jakfish

Joined: 18 Jul 2008
Posts: 757

PostPosted: Thu 29 Oct 2009, 13:13    Post subject:  

EDIT: xorg seems to have sorted itself out; I don't know why it was cranky.

Things are getting a little worse. X won't load, even after running xorgwizard. I'm stuck at the prompt.

And I've made no changes to this pupsave file. This one is fresh, no pets installed,

Jake

Last edited by jakfish on Thu 29 Oct 2009, 13:31; edited 1 time in total
Back to top
View user's profile Send private message 
magerlab

Joined: 08 Jul 2007
Posts: 731

PostPosted: Thu 29 Oct 2009, 13:16    Post subject:  

i do not know what's going on with new kernel and wifi
with puppy 3 and 4 i had no problems ( installed madwifi driver)
now ath5k supports wifi card but the speed is only 100kb\s instead of 2mb\s( skype with video works fine)
wich i have in puppy 4.1.2
tried to use madwifi for new kernel but in pupeee it is not recognized
( maybe use ndswrapper:)

suspend works fine and wifi reconnects after "wake"
also i noticed that wpa_gui conflicts with network wizard
i removed wpa_gui from startup and have wifi connect each boot
but the speed is to slow....

as for flupeee - i'd like to have a base puplet to install what i need( even compiz or opera or else)

_________________
skype: desafimager
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 3 of 176 [2633 Posts]   Goto page: Previous 1, 2, 3, 4, 5, ..., 174, 175, 176 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1100s ][ Queries: 13 (0.0362s) ][ GZIP on ]